#include <iostream>
#include <iomanip>
#include <math.h>
#include <vector>
using namespace std;
int main()
{
	int n, pom, max;
	vector<int> niz;
	cin >> n;
	niz.resize(n);
	for (int i = 0; i < n; i++)
	{
		cin >> niz[i];
	}
	if (n == 2)
	{
		pom = niz[0];
		niz[0] = niz[1];
		niz[1] = pom;
	}
	else
	{
		max = niz[0];
		bool brojnajveci = false;
		for (int i = 0; i < n; i++)
		{
			brojnajveci = false;
			for (int j = i; j < n; j++)
			{
				if (niz[j] > niz[i])
				{
					max = j;
					brojnajveci = true;
				}
			}
			if (brojnajveci)
			{
				pom = niz[max];
				niz[max] = niz[i];
				niz[i] = pom;
				break;
			}
		}
	}
	for (int i = 0; i < n; i++)
	{
		cout << niz[i] << " ";
	}
}